Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 2567)
+++ plugins/antispam/index.php	(revision 2566)
@@ -117,5 +117,4 @@
 	echo
 		dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
-		dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
 		dcPage::jsLoad('index.php?pf=antispam/antispam.js');
   }
Index: plugins/blogroll/index.php
===================================================================
--- plugins/blogroll/index.php	(revision 2567)
+++ plugins/blogroll/index.php	(revision 2566)
@@ -177,5 +177,4 @@
 	echo
 		dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
-		dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
 		dcPage::jsLoad('index.php?pf=blogroll/blogroll.js');
 	}
Index: plugins/pages/_public.php
===================================================================
--- plugins/pages/_public.php	(revision 2607)
+++ plugins/pages/_public.php	(revision 2566)
@@ -112,16 +112,10 @@
 					if ($content != '')
 					{
-						# --BEHAVIOR-- publicBeforeCommentTransform
-						$buffer = $core->callBehavior('publicBeforeCommentTransform',$content);
-						if ($buffer != '') {
-							$content = $buffer;
+						if ($core->blog->settings->system->wiki_comments) {
+							$core->initWikiComment();
 						} else {
-							if ($core->blog->settings->system->wiki_comments) {
-								$core->initWikiComment();
-							} else {
-								$core->initWikiSimpleComment();
-							}
-							$content = $core->wikiTransform($content);
+							$core->initWikiSimpleComment();
 						}
+						$content = $core->wikiTransform($content);
 						$content = $core->HTMLfilter($content);
 					}
@@ -190,11 +184,5 @@
 					header('X-Pingback: '.$core->blog->url.$core->url->getURLFor("xmlrpc",$core->blog->id));
 				}
-
-				$tplset = $core->themes->moduleInfo($core->blog->settings->system->theme,'tplset');
-				if (!empty($tplset) && is_dir(dirname(__FILE__).'/default-templates/'.$tplset)) {
-					$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates/'.$tplset);
-				} else {
-					$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates/'.DC_DEFAULT_TPLSET);
-				}
+				$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates');
 				self::serveDocument('page.html');
 			}
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 2567)
+++ plugins/pages/list.php	(revision 2566)
@@ -55,7 +55,5 @@
   <title><?php echo __('Pages'); ?></title>
   <?php
-  	echo
-  		dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
-		dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
+  	echo dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
 		dcPage::jsLoad('index.php?pf=pages/list.js').
 		'<script type="text/javascript">'.
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 2614)
+++ plugins/pages/page.php	(revision 2511)
@@ -289,7 +289,7 @@
   <?php echo
   dcPage::jsDatePicker().
+  dcPage::jsToolBar().
   dcPage::jsModal().
   dcPage::jsLoad('js/_post.js').
-  $core->callBehavior('adminPostEditor').
   dcPage::jsConfirmClose('entry-form','comment-form').
   # --BEHAVIOR-- adminPageHeaders
Index: plugins/simpleMenu/_public.php
===================================================================
--- plugins/simpleMenu/_public.php	(revision 2605)
+++ plugins/simpleMenu/_public.php	(revision 2576)
@@ -127,5 +127,5 @@
 			// Final rendering
 			if ($ret) {
-				$ret = '<ul '.($id ? 'id="'.$id.'"' : '').' class="simple-menu'.($class ? ' '.$class : '').'" role="navigation">'."\n".$ret."\n".'</ul>';
+				$ret = '<ul '.($id ? 'id="'.$id.'"' : '').' class="simple-menu'.($class ? ' '.$class : '').'">'."\n".$ret."\n".'</ul>';
 			}
 		}
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 2588)
+++ plugins/simpleMenu/index.php	(revision 2576)
@@ -347,5 +347,4 @@
 			echo
 				dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
-				dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
 				dcPage::jsLoad('index.php?pf=simpleMenu/simplemenu.js');
 		}
Index: plugins/tags/_public.php
===================================================================
--- plugins/tags/_public.php	(revision 2607)
+++ plugins/tags/_public.php	(revision 2566)
@@ -82,10 +82,5 @@
 	public static function addTplPath($core)
 	{
-		$tplset = $core->themes->moduleInfo($core->blog->settings->system->theme,'tplset');
-		if (!empty($tplset) && is_dir(dirname(__FILE__).'/default-templates/'.$tplset)) {
-			$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates/'.$tplset);
-		} else {
-			$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates/'.DC_DEFAULT_TPLSET);
-		}
+		$core->tpl->setPath($core->tpl->getPath(), dirname(__FILE__).'/default-templates');
 	}
 
Index: plugins/themeEditor/class.themeEditor.php
===================================================================
--- plugins/themeEditor/class.themeEditor.php	(revision 2607)
+++ plugins/themeEditor/class.themeEditor.php	(revision 2566)
@@ -16,8 +16,9 @@
 	protected $core;
 
+	protected $default_theme;
 	protected $user_theme;
 	protected $parent_theme;
-	protected $tplset_theme;
-
+
+	protected $default_tpl = array();
 	public $tpl = array();
 	public $css = array();
@@ -30,13 +31,8 @@
 		$this->default_theme = path::real($this->core->blog->themes_path.'/default');
 		$this->user_theme = path::real($this->core->blog->themes_path.'/'.$this->core->blog->settings->system->theme);
-		$this->tplset_theme = DC_ROOT.'/inc/public/default-templates/'.DC_DEFAULT_TPLSET;
 		if (null !== $this->core->themes) {
 			$parent_theme = $this->core->themes->moduleInfo($this->core->blog->settings->system->theme,'parent');
 			if ($parent_theme) {
 				$this->parent_theme = path::real($this->core->blog->themes_path.'/'.$parent_theme);
-			}
-			$tplset = $this->core->themes->moduleInfo($this->core->blog->settings->system->theme,'tplset');
-			if ($tplset) {
-				$this->tplset_theme = DC_ROOT.'/inc/public/default-templates/'.$tplset;
 			}
 		}
@@ -211,9 +207,13 @@
 	protected function findTemplates()
 	{
+		# First, we look in template paths
+		$this->default_tpl = $this->getFilesInDir($this->default_theme.'/tpl');
+
 		$this->tpl = array_merge(
-			$this->getFilesInDir($this->tplset_theme),
+			$this->default_tpl,
 			$this->getFilesInDir($this->parent_theme.'/tpl'),
 			$this->getFilesInDir($this->user_theme.'/tpl')
 			);
+		$this->tpl = array_merge($this->getFilesInDir(DC_ROOT.'/inc/public/default-templates'),$this->tpl);
 
 		# Then we look in 'default-templates' plugins directory
Index: plugins/widgets/_widgets_functions.php
===================================================================
--- plugins/widgets/_widgets_functions.php	(revision 2605)
+++ plugins/widgets/_widgets_functions.php	(revision 2565)
@@ -29,5 +29,5 @@
 		($w->content_only ? '' : '<div id="search"'.($w->class ? ' class="'.html::escapeHTML($w->class).'"' : '').'>').
 		($w->title ? '<h2><label for="q">'.html::escapeHTML($w->title).'</label></h2>' : '').
-		'<form action="'.$core->blog->url.'" method="get" role="search">'.
+		'<form action="'.$core->blog->url.'" method="get">'.
 		'<fieldset>'.
 		'<p><input type="text" size="10" maxlength="255" id="q" name="q" value="'.$value.'" /> '.
@@ -50,5 +50,5 @@
 		($w->content_only ? '' : '<div id="topnav"'.($w->class ? ' class="'.html::escapeHTML($w->class).'"' : '').'>').
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
-		'<ul role="navigation">';
+		'<ul>';
 
 		if ($core->url->type != 'default') {
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 2520)
+++ plugins/widgets/index.php	(revision 2509)
@@ -218,5 +218,4 @@
 		echo
 			dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
-			dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
 			dcPage::jsLoad('index.php?pf=widgets/widgets.js');
   ?>
@@ -367,5 +366,5 @@
 		$altUp = $i == 0 ? ' alt=""' : ' alt="'.__('Up the widget').'"';
 		$altDown = $i == count($widgets->elements())-1 ? ' alt=""' : ' alt="'.__('Down the widget').'"';
-		
+
 		$iname = 'w['.$pr.']['.$i.']';
 
Index: themes/ductile/_config.php
===================================================================
--- themes/ductile/_config.php	(revision 2581)
+++ themes/ductile/_config.php	(revision 2566)
@@ -273,5 +273,4 @@
 $ductile_counts_base = array(
 	'default' => null,
-	'default-page' => null,
 	'category' => null,
 	'tag' => null,
@@ -291,5 +290,4 @@
 	$ductile_lists = $ductile_lists_base;
 }
-$ductile_lists = array_merge($ductile_lists_base,$ductile_lists);
 
 $ductile_counts = $core->blog->settings->themes->get($core->blog->settings->system->theme.'_entries_counts');
@@ -298,5 +296,4 @@
 	$ductile_counts = $ductile_counts_base;
 }
-$ductile_counts = array_merge($ductile_counts_base,$ductile_counts);
 
 $ductile_stickers = $core->blog->settings->themes->get($core->blog->settings->system->theme.'_stickers');
Index: themes/ductile/_define.php
===================================================================
--- themes/ductile/_define.php	(revision 2581)
+++ themes/ductile/_define.php	(revision 2566)
@@ -15,5 +15,5 @@
 	/* Description*/		"Mediaqueries compliant elegant theme",
 	/* Author */			"Dotclear Team",
-	/* Version */			'1.4',
+	/* Version */			'1.3.1',
 	/* Properties */		array(
 								'standalone_config' => true,
Index: themes/ductile/_prepend.php
===================================================================
--- themes/ductile/_prepend.php	(revision 2567)
+++ themes/ductile/_prepend.php	(revision 2566)
@@ -26,6 +26,5 @@
 		if (!$core->auth->user_prefs->accessibility->nodragdrop) {
 			echo
-				dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
-				dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js');
+				dcPage::jsLoad('js/jquery/jquery-ui.custom.js');
 				echo <<<EOT
 <script type="text/javascript">
Index: themes/ductile/_public.php
===================================================================
--- themes/ductile/_public.php	(revision 2581)
+++ themes/ductile/_public.php	(revision 2566)
@@ -36,43 +36,30 @@
 		global $_ctx;
 
-		$nb_other = $nb_first = 0;
-
+		$nb = 0;
 		$s = $GLOBALS['core']->blog->settings->themes->get($GLOBALS['core']->blog->settings->system->theme.'_entries_counts');
 		if ($s !== null) {
 			$s = @unserialize($s);
 			if (is_array($s)) {
-				switch ($GLOBALS['core']->url->type) {
-					case 'default':
-					case 'default-page':
-						if (isset($s['default'])) {
-							$nb_first = $nb_other = (integer) $s['default'];
-						}
-						if (isset($s['default-page'])) {
-							$nb_other = (integer) $s['default-page'];
-						}
-						break;
-					default:
-						if (isset($s[$GLOBALS['core']->url->type])) {
-							// Nb de billets par page défini par la config du thème
-							$nb_first = $nb_other = (integer) $s[$GLOBALS['core']->url->type];
-						}
-						break;
-				}
-			}
-		}
-
-		if ($nb_other == 0) {
+				if (isset($s[$GLOBALS['core']->url->type])) {
+					// Nb de billets par page défini par la config du thème
+					$nb = (integer) $s[$GLOBALS['core']->url->type];
+				} else {
+					if (($GLOBALS['core']->url->type == 'default-page') && (isset($s['default']))) {
+						// Les pages 2 et suivantes de la home ont le même nombre de billet que la première page
+						$nb = (integer) $s['default'];
+					}
+				}
+			}
+		}
+
+		if ($nb == 0) {
 			if (!empty($attr['nb'])) {
 				// Nb de billets par page défini par défaut dans le template
-				$nb_other = $nb_first = (integer) $attr['nb'];
-			}
-		}
-
-		if ($nb_other > 0) {
-			$_ctx->nb_entry_per_page = $nb_other;
-		}
-		if ($nb_first > 0) {
-			$_ctx->nb_entry_first_page = $nb_first;
-		}
+				$nb = (integer) $attr['nb'];
+			}
+		}
+
+		if ($nb > 0)
+			$_ctx->nb_entry_per_page = $nb;
 	}
 
